2 Replies Latest reply on Sep 12, 2016 5:39 AM by Steve Rennie

    Old Fusion Build Version error

    Steve Rennie

      I installed an app built using EMDK for .NET v2.4 on a MC92NOG running windows embedded handheld 6.5 classic, CE OS 5.2.29362 (Build 29362.5.3.12.38).  I am getting the following error:  FusionInterfaceOpenEx failed: Old Fusion Build Version at this line of code: myWlan = New Symbol.Fusion.WLAN.WLAN(FusionAccessType.STATISTICS_MODE).

       

      The same app works fine on a MC9190 running windows embedded handheld 6.5 classic, CE OS 5.2.29040 (Build 29040.5.3.12)

       

      The exact same versions of the .NET CF 2.0 and symbol.all.arm.cab are installed on both devices.

       

      Can anyone explain why the error only occurs on the MC92NOG?

        • Re: Old Fusion Build Version error
          Daniel Silva

          The MC92 has a newer radio and newer Fusion drivers.  Reading the EMDK for .Net 2.9 readme file. it looks to me like you would need to be using EMDK 2.7 or above to use that version of Fusion, but I would go up to the latest (2.9).

           

          From the EMDK 2.7 release: Updated Symbol.Fusion class library with the support for Fusion X_2.00. Fusion X_2.00 supports Data/Voice Performance setting and RF Band & Channel settings.

           

          From the EMDK 2.9 release: Updated Symbol.Fusion class library to include support for exporting and importing WLAN datastore on Fusion X_2.01 and later.